#include <iostream>

using namespace std;

int main()
{
    int a, b; // Spojlovani rezultati
    int x, y; // Rezultati na poluvremenu
    int razlika = x-y;
    cin >> a >> b >> x >> y;
    if(b > a && y < x){
        cout<<"drugi";
    }else if(a == b && x == y){
        cout<<"nijedan";
    }else if(a == b && razlika < 2){
        cout<<"?";
    }else if(a < b && x < y){
        cout<<"prvi";
    }
    return 0;
}